Subject: Re: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: João Távora <[email-masked]>
Date: Sun, 28 Jul 2024 22:31:46 +0100

On Sun, Jul 28, 2024 at 7:21 PM Eli Zaretskii <[email-masked]> wrote:

> > I noticed Eglot currently sends the languageId "tex" in all TeX-derived
> > modes, which is not correct; it should be "latex", "bibtex", etc.

If that's the goal, I think the :language-id cookie can help.
Has that been tried?  I think it's documented well enough here:

https://joaotavora.github.io/eglot/#index-eglot_002dserver_002dprograms

Also, is it an additional goal to prefer Augusto's 'digestif' sever here?
Unless I'm misreading it, this change seems to have the side
effect  that context-mode, texinfo-mode will no longer be served
by 'texlab' (by default) if the user has that installed.  Probably
plain-tex-mode could also be served by 'texlab'.

João